Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class PortletDataUserConfigurationDataStore

    java.lang.Object
      com.ibm.wps.portlets.struts.PortletDataUserConfigurationDataStore

All Implemented Interfaces:
  IUserConfigurationDataStore

    public class PortletDataUserConfigurationDataStore

extends java.lang.Object
implements IUserConfigurationDataStore

PortletDataUserConfigurationDataStore is an IUserConfigurationDataStore implementation for use within WebSphere Portal. This implementation will use the PortletData for storing and retrieving attributes.

Since:
  4.2

Field Summary

Fields inherited from interface com.ibm.struts.data.IUserConfigurationDataStore
`KEY`

Constructor Summary
`PortletDataUserConfigurationDataStore()` PortletDataUserConfigurationDataStore constructor.

Method Summary
`java.util.Map` | `get(HttpServletRequest request)` Gets the UserConfigurationData from the data store.
`void` | `put(HttpServletRequest request, java.util.Map data)` Stores the given user configuration data in the data store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletDataUserConfigurationDataStore

    public PortletDataUserConfigurationDataStore()

  PortletDataUserConfigurationDataStore constructor.

Method Detail

### put

    public void put(HttpServletRequest request,
                    java.util.Map data)
             throws java.io.IOException

  Stores the given user configuration data in the data store. This implementation uses PortletData. The map will be iterated and the map keys will be set as portlet data.

  Specified by:
    `put` in interface `IUserConfigurationDataStore`
  Parameters:
    `request` - the request object
    `data` - the attributes to save
  Throws:
    `java.io.IOException` - if data cannot be saved

### get

    public java.util.Map get(HttpServletRequest request)
                      throws java.io.IOException

  Gets the UserConfigurationData from the data store. All of the portlet preferences that have been set are returned in the map as name-value pairs. Changes to the map do not affect the portlet data values.

  Specified by:
    `get` in interface `IUserConfigurationDataStore`
  Parameters:
    `request` - used as context object
  Returns:
    returns the stored data map, an empty map is returned if no data was stored
  Throws:
    `java.io.IOException` - if data cannot be retrieved

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD